# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; $^W = 1; print "1..4\n"; }   # set warning on, as well as flushing of stdout
END {print "not ok 1\n" unless $loaded;}

use PDL::Astro::Constants;

$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# this is all a bit OTT really
sub ok {
        my $no = shift ;
        my $result = shift ;
        print "not " unless $result ;
        print "ok $no\n" ;
}

my $testnum = 2;

ok( $testnum++, PDL::Astro::Constants::LIGHT  == 299792458 );
ok( $testnum++, PDL::Astro::Constants::PARSEC == 3.085678e16 );
ok( $testnum++, PDL::Astro::Constants::YEAR_SIDEREAL == 3.1558150e7 );

## End of the test
exit;

